# fromPairs | Welshman Docs
Documentation for Welshman Docs

# Function fromPairs

Creates object from array of key-value pairs

- fromPairs< T >(
  pairs: [k?: string, v?: T , ...args: unknown[]][],
  ): Record<string, T >

- #### Type Parameters

  - T

  #### Parameters

  - pairs: [k?: string, v?: T , ...args: unknown[]][]

    Array of [key, value] tuples

  #### Returns Record<string, T >

  Object with keys and values from pairs

  - Defined in packages/lib/src/Tools.ts:580